QuattroSpreadsheetInternal::Spreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
QuattroSpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a WPS4Spreadsheet More...

## Classes
struct | ComparePosition
| a comparaison structure used to sort cell by rows and and columns More...

## Public Types
enum | Type { T_Spreadsheet, T_Filter, T_Report }
| the spreadsheet type More...
typedef std::map< Vec2i, Cell, ComparePosition > | PositionToCellMap_t

## Public Member Functions
| Spreadsheet (Type type=T_Spreadsheet, int id=0)
| a constructor More...
Cell & | getCell (Vec2i const &pos, libwps_tools_win::Font::Type type)
| return a cell corresponding to a spreadsheet, create one if needed More...
Cell * | getLastCell ()
| returns the last cell More...
void | setColumnWidth (int col, int w=-1)
| set the columns size More...
void | setRowHeight (int row, int h=-1)
| set the rows size More...
void | computeRightBottomPosition ()
| compute the last Right Bottom cell position More...
bool | empty () const
| returns true if the spreedsheet is empty More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize)
| convert the m_widthCols, m_heightRows in a vector of of point size More...

## Public Attributes
Type | m_type
| the spreadsheet type More...
int | m_id
| the spreadsheet id More...
int | m_numCols
| the number of columns More...
int | m_numRows
| the number of rows More...
Vec2i | m_LBPosition
| the final Right Bottom position, computed by updateState More...
std::vector< int > | m_widthCols
| the column size in TWIP (?) More...
std::vector< int > | m_heightRows
| the row size in TWIP (?) More...
PositionToCellMap_t | m_positionToCellMap
| a map cell to not empty cells More...
Vec2i | m_lastCellPos
| the last cell position More...
std::vector< int > | m_rowPageBreaksList
| the list of row page break More...

## Detailed Description

the spreadsheet of a WPS4Spreadsheet

## Member Typedef Documentation

typedef std::map<Vec2i, Cell, ComparePosition> QuattroSpreadsheetInternal::Spreadsheet::PositionToCellMap_t

## Member Enumeration Documentation

enum QuattroSpreadsheetInternal::Spreadsheet::Type

the spreadsheet type

Enumerator
T_Spreadsheet |
T_Filter |
T_Report |

## Constructor & Destructor Documentation

QuattroSpreadsheetInternal::Spreadsheet::Spreadsheet | ( | Type | type = `T_Spreadsheet`,
|  | int | id = `0`
| ) |  |
| inline

a constructor

## Member Function Documentation

void QuattroSpreadsheetInternal::Spreadsheet::computeRightBottomPosition | ( |  | ) |
| inline

compute the last Right Bottom cell position

static std::vector<float> QuattroSpreadsheetInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  |
| inlinestatic

convert the m_widthCols, m_heightRows in a vector of of point size

bool QuattroSpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

Cell& QuattroSpreadsheetInternal::Spreadsheet::getCell | ( | Vec2i const & | pos,
|  | libwps_tools_win::Font::Type | type
| ) |  |
| inline

return a cell corresponding to a spreadsheet, create one if needed

Cell* QuattroSpreadsheetInternal::Spreadsheet::getLastCell | ( |  | ) |
| inline

returns the last cell

void QuattroSpreadsheetInternal::Spreadsheet::setColumnWidth | ( | int | col,
|  | int | w = `-1`
| ) |  |
| inline

set the columns size

void QuattroSpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | int | h = `-1`
| ) |  |
| inline

set the rows size

## Member Data Documentation

std::vector<int> QuattroSpreadsheetInternal::Spreadsheet::m_heightRows

the row size in TWIP (?)

Referenced by setRowHeight().

int QuattroSpreadsheetInternal::Spreadsheet::m_id

the spreadsheet id

Vec2i QuattroSpreadsheetInternal::Spreadsheet::m_lastCellPos

the last cell position

Referenced by getCell(), and getLastCell().

Vec2i QuattroSpreadsheetInternal::Spreadsheet::m_LBPosition

the final Right Bottom position, computed by updateState

Referenced by computeRightBottomPosition().

int QuattroSpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

Referenced by setColumnWidth().

int QuattroSpreadsheetInternal::Spreadsheet::m_numRows

the number of rows

Referenced by setRowHeight().

PositionToCellMap_t QuattroSpreadsheetInternal::Spreadsheet::m_positionToCellMap

a map cell to not empty cells

Referenced by computeRightBottomPosition(), empty(), getCell(), and getLastCell().

std::vector<int> QuattroSpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

Type QuattroSpreadsheetInternal::Spreadsheet::m_type

the spreadsheet type

Referenced by QuattroSpreadsheet::readSpreadsheetClose().

std::vector<int> QuattroSpreadsheetInternal::Spreadsheet::m_widthCols

the column size in TWIP (?)

Referenced by setColumnWidth().

The documentation for this class was generated from the following file:

- QuattroSpreadsheet.cpp